/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.view;

import br.controle.ControleContato;
import cadastrodeveiculos.arquiteturadosoftware.VeiculoPersistencia;
import cadastrodeveiculos.classe.Veiculos;
import cadastrodeveiculos.classe.Marca;
import cadastrodeveiculos.classe.Modelo;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author Fernando
 */
public class ViewVeiculo extends javax.swing.JFrame {

    DefaultComboBoxModel veicUF, veicCombust;
    public void carregaUF(){
        String [] uf = {"AC","AL","AP","AM","BA","CE","DF","ES","GO","MA","MT",
    "MS","MG","PA","PB","PR","PE","PI","RJ","RN","RS","RO","RR","SC","SP","SE","TO"};
        veicUF = new DefaultComboBoxModel(uf);
        jComboBoxUf.setModel(veicUF);
    }
    
    public void carregaCombustivel(){
        String [] combustivel = {"Etanol (álcool)","Gasolina","Flex","Diesel"};
        veicCombust = new DefaultComboBoxModel(combustivel);
        jComboBoxCombust.setModel(veicCombust);
    }
    
    
     private String FILE_VEICULO = "D:\\ProjetoIntegrador02\\cadastroVeiculo.txt";
    
    private boolean incluindo = true;
    private Integer linhaAlterando = null;
    
    VeiculoPersistencia veiculoCompleto = new VeiculoPersistencia(FILE_VEICULO);
    /**
     * Creates new form ViewVeiculo
     */
    public ViewVeiculo() {
        initComponents();
        carregaUF();
        carregaCombustivel();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabelCadVeiculo = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        jLabelPlaca = new javax.swing.JLabel();
        jTextFieldPlaca = new javax.swing.JTextField();
        jLabelCodigo3 = new javax.swing.JLabel();
        jTextFieldCod3 = new javax.swing.JTextField();
        jLabelUF = new javax.swing.JLabel();
        jLabelCidade = new javax.swing.JLabel();
        jTextFieldCidade = new javax.swing.JTextField();
        jLabelChassi = new javax.swing.JLabel();
        jLabelRenavam = new javax.swing.JLabel();
        jLabelCombustivel = new javax.swing.JLabel();
        jComboBoxCombust = new javax.swing.JComboBox();
        jLabelCorExt = new javax.swing.JLabel();
        jTextFieldCor = new javax.swing.JTextField();
        jLabelAdicional = new javax.swing.JLabel();
        jTextFieldChassi = new javax.swing.JTextField();
        jTextFieldRenavam = new javax.swing.JTextField();
        jComboBoxUf = new javax.swing.JComboBox();
        jLabelKm = new javax.swing.JLabel();
        jTextFieldAdicional = new javax.swing.JTextField();
        jFormattedTextKm = new javax.swing.JFormattedTextField();
        jButtonMarca = new javax.swing.JButton();
        jButtonModelo = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTableVeiculos = new javax.swing.JTable();
        jButtonIncluir = new javax.swing.JButton();
        jButtonExcluir = new javax.swing.JButton();
        jButtonAlterar = new javax.swing.JButton();
        jButtonListar = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JL Rent Car - Cadastro de Véiculos");
        setResizable(false);

        jLabelCadVeiculo.setFont(new java.awt.Font("Georgia", 1, 22)); // NOI18N
        jLabelCadVeiculo.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelCadVeiculo.setText("Cadastro de Veículos");

        jPanel1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        jLabelPlaca.setText("Placa");

        jTextFieldPlaca.setMinimumSize(new java.awt.Dimension(4, 21));

        jLabelCodigo3.setText("Código");

        jLabelUF.setText("UF");

        jLabelCidade.setText("Cidade");

        jTextFieldCidade.setMinimumSize(new java.awt.Dimension(7, 21));

        jLabelChassi.setText("Chassi");

        jLabelRenavam.setText("Renavam");
        jLabelRenavam.setMaximumSize(new java.awt.Dimension(33, 15));
        jLabelRenavam.setMinimumSize(new java.awt.Dimension(33, 15));
        jLabelRenavam.setPreferredSize(new java.awt.Dimension(33, 15));

        jLabelCombustivel.setText("Combustível");

        jLabelCorExt.setText("Cor Externa:");

        jLabelAdicional.setText("Adicionais");

        jComboBoxUf.setToolTipText("");

        jLabelKm.setText("Odômetro (KM)");

        try {
            jFormattedTextKm.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("###.###")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabelCodigo3, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(30, 30, 30)
                        .addComponent(jTextFieldCod3, javax.swing.GroupLayout.PREFERRED_SIZE, 71, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addComponent(jLabelPlaca, javax.swing.GroupLayout.DEFAULT_SIZE, 89, Short.MAX_VALUE)
                                    .addComponent(jTextFieldPlaca, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(jLabelCidade, javax.swing.GroupLayout.PREFERRED_SIZE, 102, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGap(102, 102, 102)
                                        .addComponent(jLabelUF, javax.swing.GroupLayout.PREFERRED_SIZE, 21, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(jTextFieldCidade, javax.swing.GroupLayout.PREFERRED_SIZE, 182, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addComponent(jComboBoxUf, javax.swing.GroupLayout.PREFERRED_SIZE, 54, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                .addGap(7, 7, 7)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jTextFieldCor)
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                                        .addComponent(jLabelCorExt)
                                        .addGap(45, 45, 45))))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(jLabelKm)
                                        .addGap(44, 44, 44)
                                        .addComponent(jLabelAdicional))
                                    .addComponent(jTextFieldChassi, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 167, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jLabelChassi, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabelRenavam, javax.swing.GroupLayout.PREFERRED_SIZE, 57, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextFieldRenavam, javax.swing.GroupLayout.PREFERRED_SIZE, 141, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(31, 31, 31)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jComboBoxCombust, javax.swing.GroupLayout.PREFERRED_SIZE, 142, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                                        .addComponent(jLabelCombustivel)
                                        .addGap(76, 76, 76))))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jFormattedTextKm, javax.swing.GroupLayout.PREFERRED_SIZE, 99, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(jTextFieldAdicional)))
                        .addGap(84, 84, 84))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(21, 21, 21)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jLabelCodigo3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jTextFieldCod3, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabelCorExt)
                            .addComponent(jLabelUF))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextFieldCor)
                            .addComponent(jComboBoxUf, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFieldCidade, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(50, 50, 50)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE, false)
                            .addComponent(jLabelPlaca, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLabelCidade))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextFieldPlaca, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelChassi)
                    .addComponent(jLabelRenavam, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelCombustivel))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldChassi, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldRenavam, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jComboBoxCombust, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelAdicional)
                    .addComponent(jLabelKm))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldAdicional, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jFormattedTextKm, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jButtonMarca.setText("Marca");
        jButtonMarca.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonMarcaActionPerformed(evt);
            }
        });

        jButtonModelo.setText("Modelo");
        jButtonModelo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonModeloActionPerformed(evt);
            }
        });

        jTableVeiculos.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Código", "Placa", "Cidade", "UF", "Cor Externa", "Chassi", "Renavam", "Combustível", "Odômetro", "Adicionais"
            }
        ));
        jTableVeiculos.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_OFF);
        jScrollPane1.setViewportView(jTableVeiculos);
        if (jTableVeiculos.getColumnModel().getColumnCount() > 0) {
            jTableVeiculos.getColumnModel().getColumn(0).setMinWidth(52);
            jTableVeiculos.getColumnModel().getColumn(0).setMaxWidth(52);
            jTableVeiculos.getColumnModel().getColumn(2).setMinWidth(180);
            jTableVeiculos.getColumnModel().getColumn(2).setMaxWidth(180);
            jTableVeiculos.getColumnModel().getColumn(3).setMinWidth(45);
            jTableVeiculos.getColumnModel().getColumn(3).setMaxWidth(45);
            jTableVeiculos.getColumnModel().getColumn(4).setMinWidth(120);
            jTableVeiculos.getColumnModel().getColumn(4).setMaxWidth(120);
            jTableVeiculos.getColumnModel().getColumn(5).setMinWidth(170);
            jTableVeiculos.getColumnModel().getColumn(5).setMaxWidth(170);
            jTableVeiculos.getColumnModel().getColumn(6).setMinWidth(170);
            jTableVeiculos.getColumnModel().getColumn(6).setMaxWidth(170);
            jTableVeiculos.getColumnModel().getColumn(7).setMinWidth(85);
            jTableVeiculos.getColumnModel().getColumn(7).setMaxWidth(85);
            jTableVeiculos.getColumnModel().getColumn(8).setMinWidth(115);
            jTableVeiculos.getColumnModel().getColumn(8).setMaxWidth(115);
            jTableVeiculos.getColumnModel().getColumn(9).setMinWidth(310);
            jTableVeiculos.getColumnModel().getColumn(9).setMaxWidth(500);
        }

        jButtonIncluir.setText("Incluir");
        jButtonIncluir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonIncluirActionPerformed(evt);
            }
        });

        jButtonExcluir.setText("Excluir");
        jButtonExcluir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonExcluirActionPerformed(evt);
            }
        });

        jButtonAlterar.setText("Alterar");
        jButtonAlterar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAlterarActionPerformed(evt);
            }
        });

        jButtonListar.setText("Listar");
        jButtonListar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonListarActionPerformed(evt);
            }
        });

        jButtonCancelar.setText("Cancelar");
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabelCadVeiculo, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jButtonMarca, javax.swing.GroupLayout.PREFERRED_SIZE, 64, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jButtonModelo, javax.swing.GroupLayout.PREFERRED_SIZE, 68, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jButtonIncluir)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jButtonExcluir)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jButtonAlterar)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButtonListar)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jButtonCancelar)))
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 525, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabelCadVeiculo, javax.swing.GroupLayout.PREFERRED_SIZE, 26, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonMarca)
                    .addComponent(jButtonModelo)
                    .addComponent(jButtonIncluir)
                    .addComponent(jButtonExcluir)
                    .addComponent(jButtonAlterar)
                    .addComponent(jButtonListar)
                    .addComponent(jButtonCancelar))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 273, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonMarcaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonMarcaActionPerformed
       
        ViewMarca telamarca = new ViewMarca();
        telamarca.setVisible(true);
        dispose();
             
    }//GEN-LAST:event_jButtonMarcaActionPerformed

    private void jButtonModeloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonModeloActionPerformed
        
        ViewModelo telamodelo = new ViewModelo();
        telamodelo.setVisible(true);
        dispose();
        
        
    }//GEN-LAST:event_jButtonModeloActionPerformed

    private void jButtonIncluirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonIncluirActionPerformed
       
        try {
            ControleContato conexao = new ControleContato();
            String codigo = jTextFieldCod3.getText().trim();
            String placa = jTextFieldPlaca.getText().trim();
            String cidade = jTextFieldCidade.getText().trim();
            String uf = (String) jComboBoxUf.getSelectedItem();
            String cor = jTextFieldCor.getText().trim();
            String chassi = jTextFieldChassi.getText().trim();
            String renavam = jTextFieldRenavam.getText().trim();
            String combustivel =(String) jComboBoxCombust.getSelectedItem();
            String km = jFormattedTextKm.getText().trim();
            String adicional = jTextFieldAdicional.getText().trim();
            
           
            Veiculos objVeiculos = new Veiculos (codigo, placa, cidade, uf, cor, chassi, renavam, combustivel,km, adicional);
            
            if (incluindo){
            //Listar assim que inclui na Tabela  
            DefaultTableModel inclui = (DefaultTableModel) jTableVeiculos.getModel();
            inclui.addRow(new String [] {codigo, placa, cidade, uf, cor, chassi, renavam, combustivel, km, adicional});
                
            //Incluir nova linha na Tabela
            veiculoCompleto.incluir(objVeiculos);
            conexao.incluirDadosPersistencia(objVeiculos, 1);
                                
            } else {
                Path path = Paths.get(FILE_VEICULO);
                List<String> linhas = Files.readAllLines(path);
                
                String novoConteudo = objVeiculos.desmaterializar();

                linhas.remove(linhaAlterando.intValue());
                linhas.add(linhaAlterando, novoConteudo);

                Files.write(path, linhas);                
                
                incluindo = true;
                linhaAlterando = null;
            }
                JOptionPane.showMessageDialog(null, "Incluido com sucesso!!");
                
            jTextFieldCod3.setText("");
            jTextFieldPlaca.setText("");
            jTextFieldCidade.setText("");
            jTextFieldCor.setText("");
            jTextFieldChassi.setText("");
            jTextFieldRenavam.setText("");
            jFormattedTextKm.setText("");
            jTextFieldAdicional.setText("");
            
            jTextFieldCod3.requestFocus();
            
        } catch (Exception e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }
    }//GEN-LAST:event_jButtonIncluirActionPerformed

    private void jButtonListarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonListarActionPerformed
        
        try {
            
            ArrayList <Veiculos> dados = veiculoCompleto.listagem();
            DefaultTableModel model =  (DefaultTableModel) jTableVeiculos.getModel();
            model.setNumRows(0);
            
            for(int pos = 0; pos < dados.size();pos++){
                
                String[] saida= new String[10];
                
                Veiculos aux = dados.get(pos);
                
                saida[0] = aux.getCodigoV();
                saida[1] = aux.getPlaca();
                saida[2] = aux.getCidade();
                saida[3] = String.valueOf(aux.getUf());
                saida[4] = aux.getCor();
                saida[5] = aux.getChassi();
                saida[6] = aux.getRenavam();
                saida[7] = String.valueOf(aux.getCombustivel());
                saida[8] = aux.getKm();
                saida[9] = aux.getAdicional();
                
          
                //Incluir nova linha na Tabela
                model.addRow(saida);
            }
            JOptionPane.showMessageDialog(null, "Selecione algo para Excluir!!");
        } catch (Exception e) {
             JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }
    }//GEN-LAST:event_jButtonListarActionPerformed

    private void jButtonExcluirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonExcluirActionPerformed
        try {
            
            if (jTableVeiculos.getSelectedRow() != -1) {                
                DefaultTableModel model =  (DefaultTableModel) jTableVeiculos.getModel();
                model.removeRow(jTableVeiculos.getSelectedRow());
                excluirModeloSelecionadaDoArquivo(jTableVeiculos.getSelectedRow());

            } else {
                JOptionPane.showMessageDialog(null, "Selecione algo para Excluir!!");
            }
            
            jTextFieldCod3.setText("");
            jTextFieldPlaca.setText("");
            jTextFieldCidade.setText("");
            jTextFieldCor.setText("");
            jTextFieldChassi.setText("");
            jTextFieldRenavam.setText("");
            jFormattedTextKm.setText("");
            jTextFieldAdicional.setText("");
            
            jTextFieldCod3.requestFocus();
        } catch (Exception e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }
    }//GEN-LAST:event_jButtonExcluirActionPerformed

    private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
        
        ViewSubLogin telasublogin = new ViewSubLogin();
        telasublogin.setVisible(true);
        dispose();
    }//GEN-LAST:event_jButtonCancelarActionPerformed

    private void jButtonAlterarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAlterarActionPerformed
        
        try {
            if (jTableVeiculos.getSelectedRow() != -1) {                
                alterarModeloSelecionadaDoArquivo(jTableVeiculos.getSelectedRow());
            } else {
                JOptionPane.showMessageDialog(null, "Selecione algo para Alterar!!");
            }
            
        } catch (IOException e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }       
    }//GEN-LAST:event_jButtonAlterarActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(ViewVeiculo.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(ViewVeiculo.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(ViewVeiculo.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(ViewVeiculo.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ViewVeiculo().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAlterar;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JButton jButtonExcluir;
    private javax.swing.JButton jButtonIncluir;
    private javax.swing.JButton jButtonListar;
    private javax.swing.JButton jButtonMarca;
    private javax.swing.JButton jButtonModelo;
    private javax.swing.JComboBox jComboBoxCombust;
    private javax.swing.JComboBox jComboBoxUf;
    private javax.swing.JFormattedTextField jFormattedTextKm;
    private javax.swing.JLabel jLabelAdicional;
    private javax.swing.JLabel jLabelCadVeiculo;
    private javax.swing.JLabel jLabelChassi;
    private javax.swing.JLabel jLabelCidade;
    private javax.swing.JLabel jLabelCodigo3;
    private javax.swing.JLabel jLabelCombustivel;
    private javax.swing.JLabel jLabelCorExt;
    private javax.swing.JLabel jLabelKm;
    private javax.swing.JLabel jLabelPlaca;
    private javax.swing.JLabel jLabelRenavam;
    private javax.swing.JLabel jLabelUF;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTableVeiculos;
    private javax.swing.JTextField jTextFieldAdicional;
    private javax.swing.JTextField jTextFieldChassi;
    private javax.swing.JTextField jTextFieldCidade;
    private javax.swing.JTextField jTextFieldCod3;
    private javax.swing.JTextField jTextFieldCor;
    private javax.swing.JTextField jTextFieldPlaca;
    private javax.swing.JTextField jTextFieldRenavam;
    // End of variables declaration//GEN-END:variables
 private void alterarModeloSelecionadaDoArquivo(int linhaSelecionada) throws IOException {
        incluindo = false;
        linhaAlterando = new Integer(linhaSelecionada);
        jTextFieldCod3.setText((String) jTableVeiculos.getValueAt(linhaSelecionada, 0)); 
        jTextFieldPlaca.setText((String) jTableVeiculos.getValueAt(linhaSelecionada, 1)); 
        jTextFieldCidade.setText((String) jTableVeiculos.getValueAt(linhaSelecionada, 2)); 
        jTextFieldCor.setText((String) jTableVeiculos.getValueAt(linhaSelecionada, 4)); 
        jTextFieldChassi.setText((String) jTableVeiculos.getValueAt(linhaSelecionada, 5)); 
        jTextFieldRenavam.setText((String) jTableVeiculos.getValueAt(linhaSelecionada, 6)); 
        jFormattedTextKm.setText((String) jTableVeiculos.getValueAt(linhaSelecionada, 8)); 
        jTextFieldAdicional.setText((String) jTableVeiculos.getValueAt(linhaSelecionada, 9)); 
    }
    
    private void excluirModeloSelecionadaDoArquivo(int linhaSelecionada) throws IOException {
        Path path = Paths.get(FILE_VEICULO);
        List<String> linhas = Files.readAllLines(path);
        linhas.remove(linhaSelecionada + 1);
        Files.write(path, linhas);        
    }

}
